//
// © 2018-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import Foundation

class PlayerDisplayableWrapper: NSObject, MasterViewControllerDisplayable {
    weak var parent: MasterViewControllerDisplayable? = nil
    let playerID: String
    let children: [MasterViewControllerDisplayable]
    let depth: UInt
    let hasBTChildren: Bool
    let hasZBChildren: Bool

    init(name: String,
         playerID: String,
         depth: UInt,
         available: Bool,
         children: [MasterViewControllerDisplayable],
         hasBTChildren: Bool,
         hasZBChildren: Bool) {
        self.depth = depth
        self.children = children
        self.name = name
        self.playerID = playerID
        self.available = available
        self.hasBTChildren = hasBTChildren
        self.hasZBChildren = hasZBChildren
    }

    var id: String {
        return "PLAYER:" + playerID
    }

    var name: String
    var available: Bool

    var stateDescription: [String] {
        return []
    }

    var encapsulatedType: MasterViewControllerDisplayableType {
        return .speaker
    }
}
